#ifndef CVIMAGEVIEWER_H
#define CVIMAGEVIEWER_H

#include <QWidget>
#include <QPainter>
#include "../cameras.h"

class CvImageViewer : public QWidget
{
	Q_OBJECT

	cv::Mat image_;
	QImage qimage_;
	bool fixedOnWidth_ = false;
	size_t lastId_;

protected:
	virtual void paintEvent(QPaintEvent* event) override;

public slots:
	void setImage(Camera::Image img);

public:
	explicit CvImageViewer(QWidget *parent = nullptr, size_t lastId = 0);
	void setFixedOnWidth(bool in){fixedOnWidth_ = in;}
	size_t lastId(){return lastId_;}
	~CvImageViewer();
};

#endif // CVIMAGEVIEWER_H
