#include "led.h"
#include <QPainter>

Led::Led(QWidget* parent): QWidget(parent)
{
}

bool Led::lit() const
{
	return lit_;
}

void Led::setLit(bool lit)
{
	if(lit != lit_)
	{
		lit_ = lit;
		stateChanged(lit_);
		update();
	}
}

void Led::paintEvent(QPaintEvent* event)
{
	Q_UNUSED(event)
	QPainter ledPainter(this);
	ledPainter.setPen(Qt::black);
	if(lit_) ledPainter.setBrush(Qt::red);
	else ledPainter.setBrush(Qt::NoBrush);
	ledPainter.drawEllipse(rect().adjusted(0, 0, -1, -1));
}
